ru.yandex.clickhouse.util

## Class ClickHouseValueFormatter

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseValueFormatter

    public final class ClickHouseValueFormatter
    extends Object

### Field Summary

Fields
`static String` `NULL_MARKER`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `formatBigDecimal(BigDecimal myBigDecimal)`
`static String` `formatBigInteger(BigInteger x)`
`static String` `formatBoolean(boolean myBoolean)`
`static String` `formatByte(byte myByte)`
`static String` `formatBytes(byte[] bytes)`
`static String` `formatChar(char myChar)`
`static String` `formatDate(Date date, TimeZone timeZone)`
`static String` `formatDouble(double myDouble)`
`static String` `formatFloat(float myFloat)`
`static String` `formatInt(int myInt)`
`static String` `formatLong(long myLong)`
`static String` `formatNull()`
`static String` `formatObject(Object x, TimeZone dateTimeZone, TimeZone dateTimeTimeZone)`
`static String` `formatShort(short myShort)`
`static String` `formatString(String myString)`
`static String` `formatTime(Time time, TimeZone timeZone)`
`static String` `formatTimestamp(Timestamp time, TimeZone timeZone)`
`static String` `formatUUID(UUID x)`
`static boolean` `needsQuoting(Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NULL_MARKER

    public static final String NULL_MARKER

See Also:
  Constant Field Values

### Method Detail

#### formatBytes

    public static String formatBytes(byte[] bytes)

#### formatInt

    public static String formatInt(int myInt)

#### formatDouble

    public static String formatDouble(double myDouble)

#### formatChar

    public static String formatChar(char myChar)

#### formatLong

    public static String formatLong(long myLong)

#### formatFloat

    public static String formatFloat(float myFloat)

#### formatBigDecimal

    public static String formatBigDecimal(BigDecimal myBigDecimal)

#### formatShort

    public static String formatShort(short myShort)

#### formatString

    public static String formatString(String myString)

#### formatNull

    public static String formatNull()

#### formatByte

    public static String formatByte(byte myByte)

#### formatBoolean

    public static String formatBoolean(boolean myBoolean)

#### formatDate

    public static String formatDate(Date date,
                                    TimeZone timeZone)

#### formatTime

    public static String formatTime(Time time,
                                    TimeZone timeZone)

#### formatTimestamp

    public static String formatTimestamp(Timestamp time,
                                         TimeZone timeZone)

#### formatUUID

    public static String formatUUID(UUID x)

#### formatBigInteger

    public static String formatBigInteger(BigInteger x)

#### formatObject

    public static String formatObject(Object x,
                                      TimeZone dateTimeZone,
                                      TimeZone dateTimeTimeZone)

#### needsQuoting

    public static boolean needsQuoting(Object o)